AuMakeElementMultiplyConstant(3)

Name
AuMakeElementMultiplyConstant - initialize a MultiplyConstant element

Synopsis
#include <audio/audiolib.h>

AuMakeElementMultiplyConstant(element, input, constant)
    AuElement *element; /* RETURN */
    unsigned short input;
    AuFixedPoint constant;

Arguments

element
    Returns the initialized element.

input
    Specifies the index of the element to supply the audio data for this element.

constant
    Specifies the fixed point value that each sample from the input will be multiplied by. Fixed point values can be constructed with AuFixedPointFromSum and AuFixedPointFromFraction.

Description
AuMakeElementMultiplyConstant sets the type of element to AuElementTypeMultiplyConstant and initializes the multiplyconstant member of element with the remaining arguments.

AuMakeElementMultiplyConstant is implemented as a macro.

See Also
AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementSum.

audiolib - Network Audio System C Language Interface